Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xalan.xslt
Class XSLProcessorException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.xml.sax.SAXException
                        |
                        +--weblogic.apache.xalan.xslt.XSLProcessorException

Deprecated. This compatibility layer will be removed in later releases.

public class XSLProcessorException
extends org.xml.sax.SAXException

The exception used for most XSLT errors.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

See Also:
  Serialized Form

Constructor Summary
`XSLProcessorException(java.lang.Exception e)` Deprecated. Create an XSLProcessorException object that holds another exception that caused this exception.
`XSLProcessorException(java.lang.String message)` Deprecated. Create an XSLProcessorException object that holds an error message.
`XSLProcessorException(java.lang.String message, java.lang.Exception e)` Deprecated. Create an XSLProcessorException object that holds an error message, and another exception that caused this exception.

Methods inherited from class org.xml.sax.SAXException
`getException, getMessage, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XSLProcessorException

    public XSLProcessorException(java.lang.String message)

  Deprecated.
  Create an XSLProcessorException object that holds an error message.

  Parameters:
    `message` - The error message.

### XSLProcessorException

    public XSLProcessorException(java.lang.String message,
                                 java.lang.Exception e)

  Deprecated.
  Create an XSLProcessorException object that holds an error message, and another exception that caused this exception.

  Parameters:
    `message` - The error message.
    `e` - The exception that caused this exception.

### XSLProcessorException

    public XSLProcessorException(java.lang.Exception e)

  Deprecated.
  Create an XSLProcessorException object that holds another exception that caused this exception.

  Parameters:
    `e` - The exception that caused this exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference